Unfortunately advancement isn't always in our control. As plugins like Flashplayer are updated we must also update our site to run these new versions of software. If we did not update our site to work with newer versions of software, it would likely cause more issues to arise, even among current browsers.

We recommend checking to see if you can update your current browsers or download a new one, like Google Chrome, to see if any version you can access can run our site.